explain_calloc_or_die(3)

NAME
explain_calloc_or_die - Allocate and clear memory and report errors

SYNOPSIS
#include <libexplain/calloc.h>

void *explain_calloc_or_die(size_t nmemb, size_t size);
void *explain_calloc_on_error(size_t nmemb, size_t size);

DESCRIPTION
The explain_calloc_or_die function is used to call the calloc(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_calloc(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_calloc_on_error function is used to call the calloc(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_calloc(3) function, but still returns to the caller.

nmemb
    The nmemb, exactly as to be passed to the calloc(3) system call.

size
    The size, exactly as to be passed to the calloc(3) system call.

RETURN VALUE
The explain_calloc_or_die function only returns on success, see calloc(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_calloc_on_error function always returns the value return by the wrapped calloc(3) system call.

EXAMPLE
The explain_calloc_or_die function is intended to be used in a fashion similar to the following example:
    void *result = explain_calloc_or_die(nmemb, size);

SEE ALSO

calloc(3)
    Allocate and clear memory

explain_calloc(3)
    explain calloc(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2010 Peter Miller